ulong byte_exists (byte array[], byte byte, int array_length)
{
  int cntr = 0;

  while (cntr < array_length)
  {
    cntr ++; if (array[cntr - 1] == byte) return 1;
  }
  else
  {
    return 0;
  }
}
